<SCRIPT LANGUAGE=VBScript RUNAT=Server>
   Sub Application_OnStart()
     'Create an object in the Application scope
     Set Application("MyDict") = _
                     Server.CreateObject("Scripting.Dictionary")
     End Sub

   Sub Application_OnEnd()
     'Explicitly free the Application Variable object
     Set Application("MyDict") = Nothing
   End Sub


   Sub Session_OnStart()
     'Create an object in the session scope.  This is
     'not wise, but we are doing it to illustrate how
     'the OnEnd event should be used
     Set Session("MyObject") = Server.CreateObject("My.Obj")
   End Sub

   Sub Session_OnEnd()
     'Explicitly free the session variable object
     Set Session("MyObject") = Nothing
   End Sub
 </SCRIPT>
